Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.publish.ivy.tasks
[Java] Class PublishToIvyRepository

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.publish.ivy.tasks.PublishToIvyRepository

    @Incubating
    public class PublishToIvyRepository
    extends DefaultTask

Publishes an IvyPublication to an IvyArtifactRepository.

Since:
  1.3

Constructor Summary
`PublishToIvyRepository()`

Method Summary
`IvyPublication` | `getPublication()` The publication to be published.
`IvyArtifactRepository` | `getRepository()` The repository to publish to.
`void` | `publish()`
`void` | `setPublication(IvyPublication publication)` Sets the publication to be published.
`void` | `setRepository(IvyArtifactRepository repository)` Sets the repository to publish to.

Constructor Detail

### PublishToIvyRepository

    public PublishToIvyRepository()

Method Detail

### getPublication

    public IvyPublication getPublication()

  The publication to be published.
  Returns:
    The publication to be published

### getRepository

    public IvyArtifactRepository getRepository()

  The repository to publish to.
  Returns:
    The repository to publish to

### publish

    @TaskAction
    public void publish()

### setPublication

    public void setPublication(IvyPublication publication)

  Sets the publication to be published.
  Parameters:
    `publication` - The publication to be published

### setRepository

    public void setRepository(IvyArtifactRepository repository)

  Sets the repository to publish to.
  Parameters:
    `repository` - The repository to publish to

Gradle API 1.10